com.tibbo.aggregate.common.sql

## Class DataTableSqlHelper

- java.lang.Object
- - com.tibbo.aggregate.common.sql.DataTableSqlHelper

-     public class DataTableSqlHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableSqlHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableFormat` | `addCalculatedFields(TableFormat fieldFormats, DataRecord colRecord)`
    `static DataTable` | `convertToOutputFormat(DataTable source, TableFormat outputFormat, boolean addMissingFields, boolean sortBySourceFieldOrder, DataTable viewFields, DataRecord viewRec)`
    `static TableFormat` | `createTableFormat(java.util.Collection<FieldDescriptor> fields, CallerController callerController)`
    `static TableFormat` | `createTableFormat(java.sql.ResultSet rs, CallerController callerController)`
    `static DataRecord` | `populateRecord(java.sql.ResultSet rs, java.util.Collection<FieldDescriptor> fields, TableFormat rf)`
    `static WrapResult` | `wrap(java.sql.ResultSet rs, CallerController callerController)`
    `static WrapResult` | `wrap(java.sql.ResultSet rs, CallerController callerController, java.lang.Integer first, java.lang.Integer count, boolean fixRecords, boolean lazyDataBlockFetching)`
    `static WrapResult` | `wrap(java.sql.ResultSet rs, SqlTablesMetadata sqlTablesMetadata, CallerController callerController, java.lang.Integer first, java.lang.Integer count, boolean fixRecords, boolean lazyDataBlockFetching)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableSqlHelper

          public DataTableSqlHelper()

  - ### Method Detail

    - #### wrap

          public static WrapResult wrap(java.sql.ResultSet rs,
                                        CallerController callerController)
                                 throws java.sql.SQLException,
                                        StorageException

      Throws:
        `java.sql.SQLException`
        `StorageException`

    - #### wrap

          public static WrapResult wrap(java.sql.ResultSet rs,
                                        CallerController callerController,
                                        java.lang.Integer first,
                                        java.lang.Integer count,
                                        boolean fixRecords,
                                        boolean lazyDataBlockFetching)
                                 throws java.sql.SQLException,
                                        StorageException

      Throws:
        `java.sql.SQLException`
        `StorageException`

    - #### wrap

          public static WrapResult wrap(java.sql.ResultSet rs,
                                        SqlTablesMetadata sqlTablesMetadata,
                                        CallerController callerController,
                                        java.lang.Integer first,
                                        java.lang.Integer count,
                                        boolean fixRecords,
                                        boolean lazyDataBlockFetching)
                                 throws java.sql.SQLException,
                                        StorageException

      Throws:
        `java.sql.SQLException`
        `StorageException`

    - #### populateRecord

          public static DataRecord populateRecord(java.sql.ResultSet rs,
                                                  java.util.Collection<FieldDescriptor> fields,
                                                  TableFormat rf)
                                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### createTableFormat

          public static TableFormat createTableFormat(java.sql.ResultSet rs,
                                                      CallerController callerController)
                                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### createTableFormat

          public static TableFormat createTableFormat(java.util.Collection<FieldDescriptor> fields,
                                                      CallerController callerController)

    - #### convertToOutputFormat

          public static DataTable convertToOutputFormat(DataTable source,
                                                        TableFormat outputFormat,
                                                        boolean addMissingFields,
                                                        boolean sortBySourceFieldOrder,
                                                        DataTable viewFields,
                                                        DataRecord viewRec)

    - #### addCalculatedFields

          public static TableFormat addCalculatedFields(TableFormat fieldFormats,
                                                        DataRecord colRecord)
                                                 throws ContextException

      Throws:
        `ContextException`